visrec.ri.spi

## Class DefaultServiceProvider

- java.lang.Object
- - javax.visrec.spi.ServiceProvider
  - - visrec.ri.spi.DefaultServiceProvider

    public final class DefaultServiceProvider
    extends javax.visrec.spi.ServiceProvider

Default `ServiceProvider` of the implementation of the visual recognition API

Author:
  Kevin Berendsen

### Constructor Summary

Constructors
Constructor and Description
`DefaultServiceProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.visrec.spi.BuilderService` `getBuilderService()`
`javax.visrec.spi.ClassifierService` `getClassifierService()`
`javax.visrec.spi.ImageFactoryService` `getImageFactoryService()`
`javax.visrec.spi.ImplementationService` `getImplementationService()`

### Methods inherited from class javax.visrec.spi.ServiceProvider

`available, current, getPriority, setCurrent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultServiceProvider

    public DefaultServiceProvider()

### Method Detail

#### getBuilderService

    public javax.visrec.spi.BuilderService getBuilderService()

Specified by:
  `getBuilderService` in class `javax.visrec.spi.ServiceProvider`

#### getClassifierService

    public javax.visrec.spi.ClassifierService getClassifierService()

Specified by:
  `getClassifierService` in class `javax.visrec.spi.ServiceProvider`

#### getImageFactoryService

    public javax.visrec.spi.ImageFactoryService getImageFactoryService()

Specified by:
  `getImageFactoryService` in class `javax.visrec.spi.ServiceProvider`

#### getImplementationService

    public javax.visrec.spi.ImplementationService getImplementationService()

Specified by:
  `getImplementationService` in class `javax.visrec.spi.ServiceProvider`